import java.util.Arrays;
import java.text.NumberFormat;

    // Use one of the Arrays.sort methods to sort some data.
class SortExample {
    public static void main(String[] args){
        final int numValues = 10;
        double[] data = new double[numValues];
        // Generate random values.
        final double max = 100.0;
        for(int i = 0; i < numValues; i++){
            data[i] = Math.random()*max;
        }

        // Print the values to 2 decimal places.
        NumberFormat formatter = NumberFormat.getNumberInstance();
        formatter.setMaximumFractionDigits(2);

        // Print the unsorted values.
        System.out.println("Unsorted.");
        for(int i = 0; i < numValues; i++){
           System.out.print(formatter.format(data[i])+" ");
        }
        System.out.println();

        // Sort and print again.
        Arrays.sort(data);

        System.out.println("Sorted.");
        for(int i = 0; i < numValues; i++){
           System.out.print(formatter.format(data[i])+" ");
        }
        System.out.println();
    }
}
