        // Create and use a ShipCollection.
class ShipCollectionMain {
    public static void main(String[] args){
        SimpleShip argo = new SimpleShip("Argo");
        SimpleShip titanic = new SimpleShip("Titanic"),
             olympic = new SimpleShip("Olympic"),
             britannic = new SimpleShip("Britannic");

        ShipCollection port = new ShipCollection();
        // Limit the collection to three ships.
        port.setMaxSize(3);

        // Fill the collection.
        port.addShip(argo);
        port.addShip(titanic);
        port.addShip(olympic);

        // Try to overfill the collection.
        port.addShip(britannic);
        // Remove one ship.
        SimpleShip removed = port.removeShip("Argo");
        System.out.println("Removed "+removed.getName());

        // Try to add a duplicate.
        port.addShip(olympic);

        // Retrieve a ship from the collection.
        SimpleShip found = port.getShip("Titanic");
        System.out.println("Retrieved "+found.getName());

        // Add a final ship.
        port.addShip(britannic);
        System.out.println(port.getSize()+" ships in the collection.");
    }
}
