    // A class to represent a sticky note, that could
    // be stuck to a wall, door, refrigerator, etc.
    // A display object is used to show the message.
class MyNote {
    public MyNote(){
        setMessage("This note is blank.");
    }

    public MyNote(String message){
        setMessage(message);
    }

        // Return what the message is.
    public String getMessage(){
        return message;
    }

        // Change the message.
    public void setMessage(String m){
        message = m;
        // Show the message on the display.
        NoteDisplay view = getDisplay();
        view.showMessage(message);
    }

        // Return the object used to display the message.
    private NoteDisplay getDisplay(){
        return display;
    }

    // The variable used to store the text of the message.
    // The note is blank to start with.
    private String message = "";
    // A display for the message. This represents the wall,
    // door, refrigerator, etc.
    private NoteDisplay display = new NoteDisplay();
}
