import java.io.IOException;

        // Demonstrate the ScreenLogger and FileLogger
        // implement the same interface.
class LoggerMain {
    public static void main(String[] args) throws IOException {
        ScreenLogger screen = new ScreenLogger();
        logMessages(screen);
        FileLogger file = new FileLogger("log.txt");
        logMessages(file);
        file.close();
    }

        // Log three messages.
    public static void logMessages(Logger log){
        log.report("first message");
        log.report("second message");
        log.report("third message");
    }
}
