import java.io.File;
import java.io.FilenameFilter;

class NewFileChecker implements FilenameFilter {
        // Return true if directory is a writeable directory
        // and name does not exist within it.
    public boolean accept(File directory,String name){
        if(!directory.isDirectory()){
            return false;
        }
        else if(!directory.canWrite()){
            return false;
        }
        else{
            // Reject if the file already exists.
            File f = new File(directory,name);
            return !f.exists();
        }
    }
}
