import java.io.File;
import java.io.FilenameFilter;

        // Test the NewFileChecker class.
        // Pass a directory and file name (without directory
        // prefix) as arguments to the main method.
class NewFileCheckerMain {
    public static void main(String[] args){
        if(args.length == 2){
            // Compose the full path name, for diagnostic purposes.
            final String separator = System.getProperty("file.separator");
            final String fullName = args[0]+separator+args[1];

            FilenameFilter filter = new NewFileChecker();
            if(filter.accept(new File(args[0]),args[1])){
                System.out.println("Accept: "+fullName);
            }
            else{
                System.out.println("Reject: "+fullName);
            }
        }
        else{
            System.err.println("Usage: java NewFileCheckerMain dir file");
        }
    }
}
