        // Test-rig for the EvenNumbers, OddNumbers, and
        // RandomNumbers implementations of the
        // NumberGenerator2 interface.
class NumberGeneratorMain3 {
    public static void main(String[] args){
        EvenNumbers2 even = new EvenNumbers2();
        printSample(even,7);

        OddNumbers2 odd = new OddNumbers2();
        printSample(odd,7);

        RandomNumbers random = new RandomNumbers();
        printSample(random,7);
    }

        // Print the next two values in sequence, and then
        // the next divisible by divisor. Follow this
        // with the next number in sequence.
    public static void printSample(NumberGenerator2 numbers,
                                   int divisor){
        System.out.print("The first two values are: ");
        System.out.print(numbers.nextNumber()+" ");
        System.out.println(numbers.nextNumber());
        System.out.print("The next divisible by "+divisor+" is: ");
        System.out.println(numbers.nextDivisibleBy(divisor));
        System.out.println("The final number is: "+numbers.nextNumber());
    }
}
