    // An example program to create and manipulate a simple
    // fixed-size league of team details.
    // Used to test TeamDetails implementation of the Comparable
    // interface.
    // Points are added to the teams and then the league is sorted.
class LeagueMain {
    public static void main(String[] args){
        // Create the League object from four sample sets
        // of team details.
        League league = new League(new TeamDetails[]{
            new TeamDetails("Kestrels", "Able Amy", "Ambleside"),
            new TeamDetails("Eagles", "Brave Ben", "Big Rock"),
            new TeamDetails("Hawks", "Capable Charis", "Cheam"),
            new TeamDetails("Falcons", "Dull Dan", "Ditchfield"),
        });

        // Give points to the teams.
        league.addPoints("Kestrels",3);
        league.addPoints("Eagles",1);
        league.addPoints("Hawks",3);
        league.addPoints("Falcons",5);

        // Print the state of the league before sorting it.
        System.out.println("======== Before Sorting ========");
        league.print();
        league.sort();
        System.out.println("======== After Sorting ========");
        league.print();
    }
}
