        // Test the Crypto class by encrypting and decrypting some strings.
class CryptoMain {
    public static void main(String[] args){
        // Use the default offset.
        Crypto enigma = new Crypto();
        String message = "hello, world";
        String codedVersion = enigma.encrypt(message);
        System.out.println(message+" -> "+codedVersion);
        System.out.println(codedVersion+" -> "+enigma.decrypt(codedVersion));

        // Use a different offset.
        enigma.setOffset(10);
        codedVersion = enigma.encrypt(message);
        System.out.println(message+" -> "+codedVersion);
        System.out.println(codedVersion+" -> "+enigma.decrypt(codedVersion));

        // Illustrate a possible effect with upper case letters.
        enigma.setOffset(32);
        message = "ULTRA TOP SECRET - EAT AFTER READING";
        codedVersion = enigma.encrypt(message);
        System.out.println(message+" -> "+codedVersion);
        System.out.println(codedVersion+" -> "+enigma.decrypt(codedVersion));
    }
}
