        // Experimentation with the effect of sending unusual
        // course and speed settings.
class ShipExperiment {
    public static void main(String[] args){
        Ship argo = new Ship();

        // Obtain a report of the initial settings.
        argo.report();
        argo.move();
        argo.report();

        // Set a negative speed.
        argo.setSpeed(-5);
        argo.report();
        // See the effect of moving with a negative speed.
        argo.move();
        argo.report();

        // Set a positive speed, again.
        argo.setSpeed(5);
        // Set a negative course.
        argo.setCourse(-90);
        argo.report();
        argo.move();
        argo.report();

        // Set a course greater than 360 degrees.
        argo.setCourse(450);
        argo.report();
        argo.move();
        argo.report();
    }
}
