        // Test construction failures for the ClosedShape class.
        // Pass an array to the constructor in which the first
        // and last points are not the same.
class ClosedShapeMain7 {
    public static void main(String[] args){
        try{
            Point[] points = new Point[]{
                new Point(0,0),
                new Point(1,0),
                new Point(0,1),
                new Point(1,1),
            };
            ClosedShape3 shape = new ClosedShape3(points);
            System.out.println("This line should not be printed.");
        }
        catch(NonMatchingEndPoints e){
            System.err.println(e.getMessage());
        }
        catch(TooFewPoints e){
            System.err.println(e.getMessage());
        }
    }
}
