import java.util.ListIterator;

        // A test rig that shows an implementation of some
        // of the methods of the ListIterator interface for
        // an array of objects.
class ArrayIteratorMain2 {
    public static void main(String[] args) {
        if(args.length > 0){
            // Iterate over the arguments passed in.
            ListIterator strings = new ArrayIterator2(args);
            System.out.println("= Forwards =");
            while(strings.hasNext()){
                System.out.println((String) strings.next());
            }

            System.out.println("= Backwards =");
            while(strings.hasPrevious()){
                System.out.println((String) strings.previous());
            }
        }
        else{
            System.out.println("Usage: java ArrayIteratorMain2 str ...");
        }
    }
}
