    // Demonstrate the the CardStack and CardQueue classes
    // implement a common interface.
    // Create a small queue and transfer its contents to a stack.
class CardCollectionMain {
    public static void main(String[] args){
        // Create a small card sample to store in one collection.
        CardStack stack = new CardStack();
        CardQueue queue = new CardQueue();
        final int numCards = 3;
        for(int value = 1; value <= numCards; value++){
            queue.add(new Card(value));
        }

        System.out.println("Queue");
        showCollection(queue);
        System.out.println("Stack");
        showCollection(stack);

        transferCollection(queue,stack);

        System.out.println("Queue");
        showCollection(queue);
        System.out.println("Stack");
        showCollection(stack);
    }

        // Print the size and top card of the collection.
    public static void showCollection(CardCollection c){
        System.out.println("The size of the collection is: "+c.size());
        if(c.size() > 0){
            System.out.println("The top card is: "+
                               c.peek().getValue());
        }
    }

        // Transfer one collection into the other.
    public static void transferCollection(CardCollection from,
                                          CardCollection to){
        while(from.size() > 0){
            to.add(from.next());
        }
    }
}
