import java.util.Comparator;

        // Order points by increasing x, then increasing y.
class PointComparator implements Comparator {
    public int compare(Object o1,Object o2) throws ClassCastException {
        if(o1 == o2){
            return 0;
        }
        else if(o1 == null){
            // Always place null objects towards the end.
            return 1;
        }
        else if(o2 == null){
            return -1;
        }
        else{
            // Either of these casts might fail.
            Point p1 = (Point) o1, p2 = (Point) o2;
            // Only distinguish on mark, not name.
            int xdistance = p1.getX()-p2.getX();
            if(xdistance != 0){
                return xdistance;
            }
            else{
                return p1.getY()-p2.getY();
            }
        }          
    }
}
