        // Illustrate the creation of a Graph and
        // its appearance when a few lines are added interactively.
        // Read the line end-point values interactively.
class GraphMain1b {
    public static void main(String[] args){
        // Define the bounds of the coordinate space.
        double minX = -10, maxX = 50, minY = -10, maxY = 50;
        GraphMinder minder = new GraphMinder(minX,maxX,minY,maxY);
        SimpleInput keyboard = new SimpleInput();

        // An (x,y) pair to be plotted.
        double x1,y1;
        System.out.println("Please type (x,y) end point pairs in the range: "+
                           "("+minX+","+minY+")"+" to "+
                           "("+maxX+","+maxY+")");
        x1 = keyboard.nextDouble();
        y1 = keyboard.nextDouble();

        // Keep going as long as the first end point is in bounds.
        while(x1 >= minX && y1 >= minY && x1 <= maxX && y1 <= maxY){
            // Read the second end point.
            double x2 = keyboard.nextDouble();
            double y2 = keyboard.nextDouble();

            minder.addLine(x1,y1,x2,y2);

            // Read the next first end point.
            x1 = keyboard.nextDouble();
            y1 = keyboard.nextDouble();
        }
        System.out.println("Input finished.");
    }
}
